# TanStack Router/Start

TanStack Start is TanStack Router plus server capabilities. It’s a full-stack framework. Your frontend and backend live in the same project. It’s comparable to Next.js.

{% content-ref url="/pages/d1qbPv2oiUEBc6J3j5sN" %}
[TanStack Start](/docs/v9/integration-guides/tanstack-router-start/tanstack-start.md)
{% endcontent-ref %}

***

TanStack Router is the client-side routing library. It does not include server features. Used in single-page applications (SPAs). Your backend API stays in a separate project.

{% content-ref url="/pages/QUB3CQl6dhCDJw69LePi" %}
[TanStack Router](/docs/v9/integration-guides/tanstack-router-start/react-router.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oidc-spa.dev/docs/v9/integration-guides/tanstack-router-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
